Index: /data/trunk/levels/sp_level_spacestation1.oxw
===================================================================
--- /data/trunk/levels/sp_level_spacestation1.oxw	(revision 4739)
+++ /data/trunk/levels/sp_level_spacestation1.oxw	(revision 4740)
@@ -74,16 +74,20 @@
     <Rotor>
       <name>rotor1</name>
-      <model>models/decoration/rotor1.obj, 17</model>
+      <model>models/decoration/rotor1_hack2.obj, 17</model>
       <abs-coor>1024,224,0</abs-coor>
-      <abs-dir>1.57, 1, 0, 0</abs-dir>
-      <rotation>0,0,8</rotation>
+      <abs-dir>0, 0, 0, 0</abs-dir>
+      <rotation>0,8,0</rotation>
+<!--      <abs-dir>1.57, 1, 0, 0</abs-dir> 
+      <rotation>0,0,8</rotation> -->
     </Rotor>
 
     <Rotor>
       <name>rotor2</name>
-      <model>models/decoration/rotor2.obj, 19</model>
+      <model>models/decoration/rotor2_hack.obj, 19</model>
       <abs-coor>1024,-31,0</abs-coor>
-      <abs-dir>1.57, 1, 0, 0</abs-dir>
-      <rotation>0,0,8</rotation>
+      <abs-dir>0, 0, 0, 0</abs-dir>
+      <rotation>0,8,0</rotation>
+<!--      <abs-dir>1.57, 1, 0, 0</abs-dir> 
+      <rotation>0,0,8</rotation> -->
     </Rotor>
 
@@ -145,6 +149,8 @@
       <name>uranus</name>
       <model>models/planets/uranus.obj, 9</model>
-      <abs-coor>0,48,0</abs-coor>
-      <rotation>1,3,0</rotation>
+      <abs-coor>0,0,0</abs-coor>
+      <rotation>0,3,0</rotation>
+<!--      <abs-coor>0,48,0</abs-coor>
+      <rotation>1,3,0</rotation> -->
     </Rotor>
 
Index: /data/trunk/levels/sp_level_spacestation1B.oxw
===================================================================
--- /data/trunk/levels/sp_level_spacestation1B.oxw	(revision 4739)
+++ /data/trunk/levels/sp_level_spacestation1B.oxw	(revision 4740)
@@ -114,16 +114,20 @@
     <Rotor>
       <name>rotor1</name>
-      <model>models/decoration/rotor1.obj, 12</model>
+      <model>models/decoration/rotor1_hack.obj, 12</model>
       <abs-coor>5152,240,-4688</abs-coor>
-      <abs-dir>-1.57, 0, 1, 0</abs-dir>
-      <rotation>0,0,8</rotation>
+      <abs-dir>0, 0, 0, 0</abs-dir>
+      <rotation>8,0,0</rotation>
+<!--      <abs-dir>-1.57, 0, 1, 0</abs-dir>
+      <rotation>0,0,8</rotation> -->
     </Rotor>
 
     <Rotor>
       <name>rotor2</name>
-      <model>models/decoration/rotor1.obj, 12</model>
+      <model>models/decoration/rotor1_hack.obj, 12</model>
       <abs-coor>5152,240,-4272</abs-coor>
-      <abs-dir>-1.57, 0, 1, 0</abs-dir>
-      <rotation>0,0,8</rotation>
+      <abs-dir>0, 0, 0, 0</abs-dir>
+      <rotation>8,0,0</rotation>
+<!--      <abs-dir>-1.57, 0, 1, 0</abs-dir>
+      <rotation>0,0,8</rotation> -->
     </Rotor>
 
Index: /data/trunk/models/decoration/rotor1_hack.mtl
===================================================================
--- /data/trunk/models/decoration/rotor1_hack.mtl	(revision 4740)
+++ /data/trunk/models/decoration/rotor1_hack.mtl	(revision 4740)
@@ -0,0 +1,13 @@
+# Blender3D MTL File: rotor1.blend
+# Material Count: 1
+newmtl Material.002_rotor1.tga
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd rotor1.jpg
+
+
Index: /data/trunk/models/decoration/rotor1_hack2.mtl
===================================================================
--- /data/trunk/models/decoration/rotor1_hack2.mtl	(revision 4740)
+++ /data/trunk/models/decoration/rotor1_hack2.mtl	(revision 4740)
@@ -0,0 +1,13 @@
+# Blender3D MTL File: rotor1.blend
+# Material Count: 1
+newmtl Material.002_rotor1.tga
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd rotor1.jpg
+
+
Index: /data/trunk/models/decoration/rotor2_hack.mtl
===================================================================
--- /data/trunk/models/decoration/rotor2_hack.mtl	(revision 4740)
+++ /data/trunk/models/decoration/rotor2_hack.mtl	(revision 4740)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: rotor2.blend
+# Material Count: 1
+newmtl Material.002_rotor1.tga
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd unicolored/ZZZ_black.jpg
+