Index: data/trunk/levels/vertical_scroller.oxw
===================================================================
--- data/trunk/levels/vertical_scroller.oxw	(revision 4739)
+++ data/trunk/levels/vertical_scroller.oxw	(revision 4743)
@@ -24,4 +24,11 @@
     </Building>
 
+    <Building>
+      <name>zhara</name>
+      <model>models/space_stations/ZHARA_Space_Station.obj,30</model>
+      <abs-coor>8000,0,-2000</abs-coor>
+      <abs-dir>0.3,0,1,0</abs-dir>
+    </Building>
+
     <Rotor>
       <name>meteorit01</name>
@@ -153,4 +160,46 @@
 
     <NPC>
+      <name>Pirate111</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>1</team>
+      <list>group00</list>
+      <swarm>1</swarm>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>2680, 0, 10</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate112</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>1</team>
+      <list>group00</list>
+      <swarm>1</swarm>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>2680, 0, 10</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate113</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>1</team>
+      <list>group00</list>
+      <swarm>1</swarm>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>2680, 0, 10</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
       <name>Pirate01</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
@@ -230,4 +279,5 @@
       <swarm>2</swarm>
       <list>group00</list>
+      <enableAI>1</enableAI>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -243,4 +293,5 @@
       <swarm>2</swarm>
       <list>group00</list>
+      <enableAI>1</enableAI>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -256,4 +307,5 @@
       <swarm>2</swarm>
       <list>group00</list>
+      <enableAI>1</enableAI>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -269,4 +321,5 @@
       <swarm>2</swarm>
       <list>group00</list>
+      <enableAI>1</enableAI>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -282,4 +335,5 @@
       <swarm>2</swarm>
       <list>group00</list>
+      <enableAI>1</enableAI>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -294,7 +348,8 @@
       <name>Pirate07</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
+      <team>1</team>
+      <swarm>2</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -306,7 +361,8 @@
       <name>Pirate08</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
+      <team>1</team>
+      <swarm>2</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
       <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
@@ -318,10 +374,10 @@
       <name>Pirate09</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <team>1</team>
+      <swarm>2</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
       <abs-coor>6010, 0, -195</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
@@ -331,10 +387,10 @@
       <name>Pirate59</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <team>1</team>
+      <swarm>2</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
       <abs-coor>6020, 0, -210</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
@@ -344,10 +400,10 @@
       <name>Pirate49</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <team>1</team>
+      <swarm>2</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
       <abs-coor>6020, 0, -220</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
@@ -357,10 +413,10 @@
       <name>Pirate79</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <team>1</team>
+      <swarm>2</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
       <abs-coor>6010, 0, -185</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
@@ -385,5 +441,5 @@
       </Track>
     </NPC>
-
+<!--
     <NPC>
       <name>Ragnar02</name>
@@ -392,12 +448,12 @@
       <abs-coor>7000, 0, -350</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
+      <enableAI>1</enableAI>
       <team>3</team>
       <swarm>1</swarm>
       <list>group00</list>
       <attackDistance>60</attackDistance>
-      <Weapons>HeavyBlaster</Weapons>
       <maxSpeed>400</maxSpeed>
     </NPC>
-
+-->
     <NPC>
       <name>Noxon01</name>
@@ -405,8 +461,9 @@
       <team>2</team>
       <swarm>3</swarm>
-      <list>group02</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <weapon-config>3</weapon-config>
       <abs-coor>7500, 0, -1145</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
@@ -418,8 +475,9 @@
       <team>2</team>
       <swarm>3</swarm>
-      <list>group02</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <weapon-config>3</weapon-config>
+      <maxSpeed>500</maxSpeed>
       <abs-coor>7510, 0, -1150</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
@@ -431,8 +489,9 @@
       <team>2</team>
       <swarm>3</swarm>
-      <list>group02</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <weapon-config>3</weapon-config>
+      <maxSpeed>500</maxSpeed>
       <abs-coor>7520, 0, -1155</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
@@ -443,8 +502,9 @@
       <team>2</team>
       <swarm>3</swarm>
-      <list>group02</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <weapon-config>3</weapon-config>
+      <maxSpeed>500</maxSpeed>
       <abs-coor>7530, 0, -1160</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
@@ -455,8 +515,9 @@
       <team>2</team>
       <swarm>3</swarm>
-      <list>group02</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <weapon-config>3</weapon-config>
+      <maxSpeed>500</maxSpeed>
       <abs-coor>7540, 0, -1147</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
@@ -471,8 +532,7 @@
       <playmode>Horizontal</playmode>
       <actionWidthPercentage>70</actionWidthPercentage>
-     <drawTrack>1</drawTrack>
       <Track>
         <mode>1</mode>
-        <speed>100</speed>
+        <speed>50</speed>
         <addPoint>0,0,0</addPoint>
         <addPoint>1000,0,200</addPoint>
@@ -490,4 +550,98 @@
     </SpaceShip>
 
+    <NPC>
+      <name>Noxon111</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <weapon-config>3</weapon-config>
+      <abs-coor>7700, 0, -1525</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+    <NPC>
+      <name>Noxon112</name>
+      <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <weapon-config>3</weapon-config>
+      <abs-coor>7700, 0, -1535</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+    <NPC>
+      <name>Noxon113</name>
+      <model>models/spaceships/noxon_spaceship_bomber.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <weapon-config>3</weapon-config>
+      <abs-coor>7700, 0, -1545</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+    <NPC>
+      <name>Noxon114</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <weapon-config>3</weapon-config>
+      <abs-coor>7700, 0, -1565</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Noxon115</name>
+      <model>models/spaceships/noxon_spaceship_bomber.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <weapon-config>3</weapon-config>
+      <abs-coor>7900, 0, -1865</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Noxon116</name>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <weapon-config>3</weapon-config>
+      <abs-coor>7900, 0, -1855</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Noxon117</name>
+      <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <weapon-config>3</weapon-config>
+      <abs-coor>7900, 0, -1845</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
    <SkyBox>
       <name>Sky</name>