Index: orxonox/trunk/src/lib/gui/gui.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui.cc	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui.cc	(revision 4746)
@@ -123,5 +123,5 @@
    \brief starts the OrxonoxGUI
 */
-void Gui::startGui(void)
+void Gui::startGui()
 {
   mainloopGUI();
@@ -145,5 +145,5 @@
    \brief Destructor.
 */
-Gui::~Gui(void)
+Gui::~Gui()
 {
   delete video;
Index: orxonox/trunk/src/lib/gui/gui.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui.h	(revision 4746)
@@ -24,8 +24,8 @@
  public:
   Gui(int argc, char *argv[]);
-  ~Gui(void);
+  ~Gui();
 
-  void startGui(void);
-  void printHelp(void);
+  void startGui();
+  void printHelp();
 
   static bool startOrxonox;
Index: orxonox/trunk/src/lib/gui/gui_audio.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_audio.cc	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_audio.cc	(revision 4746)
@@ -31,5 +31,5 @@
    \brief Creates an Audio-Frame
 */
-GuiAudio::GuiAudio(void)
+GuiAudio::GuiAudio()
 {
   Frame* audioFrame;        //!< The Frame that holds the audio Options.
@@ -74,5 +74,5 @@
     \brief Destructs the Audio-Stuff
 */
-GuiAudio::~GuiAudio(void)
+GuiAudio::~GuiAudio()
 {
   // nothing to do here.
Index: orxonox/trunk/src/lib/gui/gui_audio.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_audio.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_audio.h	(revision 4746)
@@ -13,6 +13,6 @@
 {
  public:
-  GuiAudio(void);
-  ~GuiAudio(void);
+  GuiAudio();
+  ~GuiAudio();
 };
 #endif /* _GUI_AUDIO_H */
Index: orxonox/trunk/src/lib/gui/gui_banner.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_banner.cc	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_banner.cc	(revision 4746)
@@ -34,5 +34,5 @@
    \brief Creates a new BannerEventBox and its content.
 */
-GuiBanner::GuiBanner(void)
+GuiBanner::GuiBanner()
 {
   // the banner Frame
@@ -92,5 +92,5 @@
    \brief Destructs it.
 */
-GuiBanner::~GuiBanner(void)
+GuiBanner::~GuiBanner()
 {
   // nothing to do here
Index: orxonox/trunk/src/lib/gui/gui_banner.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_banner.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_banner.h	(revision 4746)
@@ -15,6 +15,6 @@
 {
  public:
-  GuiBanner(void);
-  ~GuiBanner(void);
+  GuiBanner();
+  ~GuiBanner();
 };
 
Index: orxonox/trunk/src/lib/gui/gui_element.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_element.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_element.h	(revision 4746)
@@ -18,5 +18,5 @@
   
   /** \returns the main Widget of this GuiElement. */
-  Widget* getWidget(void) {return this->mainWidget;}
+  Widget* getWidget() {return this->mainWidget;}
  protected:
   void setMainWidget(Widget* widget);
Index: orxonox/trunk/src/lib/gui/gui_exec.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_exec.cc	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_exec.cc	(revision 4746)
@@ -41,5 +41,5 @@
     \brief Creates the Exec-Frame
 */
-GuiExec::GuiExec(void)
+GuiExec::GuiExec()
 {
   Frame* execFrame;            //!< The Frame that holds the ExecutionOptions.
@@ -133,5 +133,5 @@
    \brief Destructs the Execution-stuff
 */
-GuiExec::~GuiExec(void)
+GuiExec::~GuiExec()
 {
   if(this->confFile)
@@ -178,5 +178,5 @@
    \returns The name of the Configuration-File
 */
-const char* GuiExec::getConfigFile(void) const
+const char* GuiExec::getConfigFile() const
 {
   return this->confFile;
Index: orxonox/trunk/src/lib/gui/gui_exec.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_exec.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_exec.h	(revision 4746)
@@ -33,11 +33,11 @@
 
  public:
-  GuiExec(void);
-  ~GuiExec(void);
+  GuiExec();
+  ~GuiExec();
   
   void setConfDir(const char* confDir);
   void setConfFile(const char* confFile);
-  const char* getConfigFile(void) const;
-  int shouldsave(void);
+  const char* getConfigFile() const;
+  int shouldsave();
   void writeToFile(Widget* widget);
   void writeFileText(Widget* widget, int depth);
Index: orxonox/trunk/src/lib/gui/gui_flags.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_flags.cc	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_flags.cc	(revision 4746)
@@ -29,5 +29,5 @@
    \brief Creates the Flags-Frame
 */
-GuiFlags::GuiFlags(void)
+GuiFlags::GuiFlags()
 {
   this->flagsFrame = new Frame("Orxonox-Startup-Flags:");
@@ -48,5 +48,5 @@
    \brief Destructs the Flags-stuff
 */
-GuiFlags::~GuiFlags(void)
+GuiFlags::~GuiFlags()
 {
   // nothing to do here
Index: orxonox/trunk/src/lib/gui/gui_flags.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_flags.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_flags.h	(revision 4746)
@@ -21,6 +21,6 @@
 
  public:
-  GuiFlags(void);
-  ~GuiFlags(void);
+  GuiFlags();
+  ~GuiFlags();
 
   void setTextFromFlags(Widget* widget);
Index: orxonox/trunk/src/lib/gui/gui_gtk.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_gtk.cc	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_gtk.cc	(revision 4746)
@@ -66,5 +66,5 @@
    \brief enters the GUI's main-loop
 */
-bool mainloopGUI(void)
+bool mainloopGUI()
 {
 #ifdef HAVE_GTK2
@@ -146,5 +146,5 @@
    \brief constructs a Widget
 */
-Widget::Widget(void)
+Widget::Widget()
 {
   next = NULL;
@@ -156,5 +156,5 @@
    This is still pretty crappy.
 */
-Widget::~Widget(void)
+Widget::~Widget()
 {
   if (this->title)
@@ -190,5 +190,5 @@
    \brief makes the widget visible.
 */
-void Widget::show(void)
+void Widget::show()
 {
 #ifdef HAVE_GTK2
@@ -200,5 +200,5 @@
    \brief hides the widget.
 */
-void Widget::hide(void)
+void Widget::hide()
 {
 #ifdef HAVE_GTK2
@@ -571,5 +571,5 @@
    \brief Constructs a Packer
 */
-Packer::Packer(void)
+Packer::Packer()
 {
   this->down = NULL;
@@ -580,5 +580,5 @@
    \brief Destroys a Packer.
 */
-Packer::~Packer(void)
+Packer::~Packer()
 { 
   PRINTF(5)("deleting the Packer part.\n");
@@ -611,5 +611,5 @@
    sets the Container-Specific defaults.
 */
-Container::Container(void)
+Container::Container()
 {
   this->optionType = GUI_CONTAINER;
@@ -619,5 +619,5 @@
    \brief Destroys a Container.
 */
-Container::~Container(void)
+Container::~Container()
 { 
   PRINTF(5)("deleting the Container part.\n");
@@ -694,5 +694,5 @@
    \brief Destructs a Window.
 */
-Window::~Window(void)
+Window::~Window()
 {
   PRINTF(5)("deleting the Window: %s\n", this->title);
@@ -725,5 +725,5 @@
    \brief Shows all Widgets that are included within this->widget.
 */
-void Window::showall(void)
+void Window::showall()
 {
 #ifdef HAVE_GTK2
@@ -753,5 +753,5 @@
    \brief opens up a Window and fixes the Focus to it
 */
-void Window::open(void)
+void Window::open()
 {
   if (this != mainWindow)
@@ -768,5 +768,5 @@
    \brief closes up a Window and removes the Focus from it
 */
-void Window::close(void)
+void Window::close()
 {
   if (this != mainWindow)
@@ -831,5 +831,5 @@
    \brief destrcucts a Frame
 */
-Frame::~Frame(void)
+Frame::~Frame()
 {
   PRINTF(5)("deleting the Frame: %s\n", this->title);
@@ -872,5 +872,5 @@
    \brief destructs an EventBox.
 */
-EventBox::~EventBox(void)
+EventBox::~EventBox()
 {
   PRINTF(5)("deleting the EventBox: %s\n", this->title);
@@ -899,5 +899,5 @@
    \brief destructs a Box.
 */
-Box::~Box(void)
+Box::~Box()
 {
   PRINTF(5)("deleting the Box: %s\n", this->title);
@@ -934,5 +934,5 @@
    sets all Option-Specific-Values to their defaults.
 */
-Option::Option(void)
+Option::Option()
 {
   this->value = 0;
@@ -950,5 +950,5 @@
    \brief Destroys an Option.
 */
-Option::~Option(void)
+Option::~Option()
 { 
   PRINTF(5)("deleting the Option Part.\n");
@@ -1051,5 +1051,5 @@
    this is a default Option save
 */
-char* Option::save(void)
+char* Option::save()
 {
   char* value = new char [30];
@@ -1072,5 +1072,5 @@
    \returns The saveable-state.
 */
-bool Option::isSaveable(void)
+bool Option::isSaveable()
 {
   return this->saveable;
@@ -1114,5 +1114,5 @@
    \brief destructs a Button.
 */
-Button::~Button(void)
+Button::~Button()
 {
   PRINTF(5)("deleting the Label: %s\n", this->title);
@@ -1138,5 +1138,5 @@
    \todo not implemented yet
 */
-void Button::redraw(void)
+void Button::redraw()
 {
 }
@@ -1147,5 +1147,5 @@
    \todo Actions for non-GTK-mode
 */
-void Button::changeOption(void)
+void Button::changeOption()
 {
   // This will possibly be used for ACTIONS !
@@ -1178,5 +1178,5 @@
    \brief destructs a CheckButton.
 */
-CheckButton::~CheckButton(void)
+CheckButton::~CheckButton()
 {
   if (this->title)
@@ -1204,5 +1204,5 @@
    \returns the Active state of the checkButton
 */
-bool CheckButton::isActive(void)
+bool CheckButton::isActive()
 {
 #ifdef HAVE_GTK2
@@ -1214,5 +1214,5 @@
    \brief Changed the Option, call this Function
 */
-void CheckButton::changeOption(void)
+void CheckButton::changeOption()
 {
 #ifdef HAVE_GTK2
@@ -1234,5 +1234,5 @@
    Example: if new settings are loaded the Button must be redrawn for the GUI to display that Change
 */
-void CheckButton::redraw(void)
+void CheckButton::redraw()
 {
 #ifdef HAVE_GTK2
@@ -1270,5 +1270,5 @@
    \brief destructs a Slider.
 */
-Slider::~Slider(void)
+Slider::~Slider()
 {
   PRINTF(5)("deleting the Slider: %s\n", this->title);
@@ -1298,7 +1298,7 @@
 /**
    \brief Redraws the widget
-   Example: see void CheckButton::redraw(void)
-*/
-void Slider::redraw(void)
+   Example: see void CheckButton::redraw()
+*/
+void Slider::redraw()
 {
 #ifdef HAVE_GTK2
@@ -1310,5 +1310,5 @@
    \brief Changed the Option, call this Function
 */
-void Slider::changeOption(void)
+void Slider::changeOption()
 {
 #ifdef HAVE_GTK2
@@ -1328,5 +1328,5 @@
 }
 
-char* Slider::save(void)
+char* Slider::save()
 {
   char* value = new char [30];
@@ -1380,5 +1380,5 @@
    \brief destructs a Menu.
 */
-Menu::~Menu(void)
+Menu::~Menu()
 {
   PRINTF(5)("deleting the Menu: %s\n", this->title);
@@ -1401,5 +1401,5 @@
    \brief Initializes a new Menu with no items
 */
-void Menu::init(void)
+void Menu::init()
 {
   this->optionType = GUI_INT;
@@ -1418,5 +1418,5 @@
    \returns the name of the selected Menu-Item
 */
-char* Menu::save(void)
+char* Menu::save()
 {
   MenuItem* tmpItem = this->firstItem;
@@ -1491,7 +1491,7 @@
 /**
    \brief Redraws the widget
-   Example: see void CheckButton::redraw(void)
-*/
-void Menu::redraw(void)
+   Example: see void CheckButton::redraw()
+*/
+void Menu::redraw()
 {
 #ifdef HAVE_GTK2
@@ -1503,5 +1503,5 @@
    \brief Changed the Option, call this Function
 */
-void Menu::changeOption(void)
+void Menu::changeOption()
 {
 #ifdef HAVE_GTK2
@@ -1540,5 +1540,5 @@
    \brief destructs an OptionLabel.
 */
-OptionLabel::~OptionLabel(void)
+OptionLabel::~OptionLabel()
 {
   PRINTF(5)("deleting the OptionLabel: %s\n", this->title);
@@ -1564,5 +1564,5 @@
    \brief Redraws an OptionLabel(not implemented yet, but it works).
 */
-void OptionLabel::redraw(void)
+void OptionLabel::redraw()
 {
 #ifdef HAVE_GTK2
@@ -1574,5 +1574,5 @@
    \brief Changed the Option, call this Function
 */
-void OptionLabel::changeOption(void)
+void OptionLabel::changeOption()
 {
 #ifdef HAVE_GTK2
@@ -1592,5 +1592,5 @@
    \returns the String to save.
 */
-char* OptionLabel::save(void)
+char* OptionLabel::save()
 {
   return cValue;
@@ -1630,5 +1630,5 @@
    \brief destructs a Label.
 */
-Label::~Label(void)
+Label::~Label()
 {
   PRINTF(5)("deleting the Label: %s\n", this->title);
@@ -1653,5 +1653,5 @@
    \brief ereases the Text of a Label
 */
-void Label::ereaseText(void)
+void Label::ereaseText()
 {
   this->setTitle("");
@@ -1698,5 +1698,5 @@
    \return The Text the Label holds.
 */
-const char* Label::getText(void)
+const char* Label::getText()
 {
   return this->title;
@@ -1728,5 +1728,5 @@
    \brief destructs a ProgressBar
 */
-ProgressBar::~ProgressBar(void)
+ProgressBar::~ProgressBar()
 {
   PRINTF(5)("deleting the ProgressBar: %s\n", this->title);
@@ -1762,5 +1762,5 @@
     \brief returns the Progress Status
 */
-double ProgressBar::getProgress(void)
+double ProgressBar::getProgress()
 {
   return this->progress;
@@ -1800,5 +1800,5 @@
    \brief destructs an Image.
 */
-Image::~Image(void)
+Image::~Image()
 {
   PRINTF(5)("deleting the Image: %s\n", this->title);
@@ -1861,5 +1861,5 @@
    \brief destructs a FileDialog
 */
-FileDialog::~FileDialog(void)
+FileDialog::~FileDialog()
 {
   PRINTF(5)("deleting FileDialog %s\n", this->title);
@@ -1903,5 +1903,5 @@
    \brief disables the File Operator Buttons
 */
-void FileDialog::disableFileOpts(void)
+void FileDialog::disableFileOpts()
 {
 #ifdef HAVE_GTK2
@@ -1913,5 +1913,5 @@
    \brief The ok-button has been pressed
 */
-void FileDialog::okEvent(void)
+void FileDialog::okEvent()
 {
   if (this->okFunc)
@@ -1936,5 +1936,5 @@
    \biref opens up the FileDialog-Window
 */
-void FileDialog::open(void)
+void FileDialog::open()
 {
   isOpen = true;
@@ -1948,5 +1948,5 @@
    \closes the FileDialog-Window
 */
-void FileDialog::close(void)
+void FileDialog::close()
 {
   this->isOpen = false;
Index: orxonox/trunk/src/lib/gui/gui_gtk.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_gtk.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_gtk.h	(revision 4746)
@@ -45,5 +45,5 @@
 
 bool initGUI(int argc, char* argv[]);
-bool mainloopGUI(void);
+bool mainloopGUI();
 
 //! This is the topmost object that can be displayed all others are derived from it.
@@ -53,13 +53,13 @@
 
  public:
-  Widget(void);
-  virtual ~Widget(void);
-
-  void show(void);
-  void hide(void);
+  Widget();
+  virtual ~Widget();
+
+  void show();
+  void hide();
   void setSize(int width, int height);
 
   virtual void setTitle(const char* title);  //!< An abstract Function, that sets the title of Widgets.
-  virtual const char* getTitle(void) const { return this->title; };
+  virtual const char* getTitle() const { return this->title; };
 
   Widget* findWidgetByName(char* name, unsigned int depth);
@@ -115,6 +115,6 @@
 {
  public:
-  Packer(void);
-  virtual ~Packer(void);
+  Packer();
+  virtual ~Packer();
 
   Widget* down;                      //!< this points to the Widget below this.
@@ -123,5 +123,5 @@
   void setGroupName(const char* name);
   /** \returns the GroupName if existent NULL otherwise */
-  inline const char* getGroupName(void) const {return this->groupName;}
+  inline const char* getGroupName() const {return this->groupName;}
 
 
@@ -142,6 +142,6 @@
   
  public:
-  Container(void);
-  virtual ~Container(void);
+  Container();
+  virtual ~Container();
 
   void setBorderWidth(int borderwidth);
@@ -163,10 +163,10 @@
 
   Window(const char* windowName = NULL);
-  virtual ~Window(void);
+  virtual ~Window();
   
   virtual void setTitle(const char* title);
-  void showall(void);
-  void open(void);
-  void close(void);
+  void showall();
+  void open();
+  void close();
 
 #ifdef HAVE_GTK2
@@ -189,5 +189,5 @@
  public:
   Frame(const char* frameName = NULL);
-  virtual ~Frame(void);
+  virtual ~Frame();
 
   virtual void setTitle(const char* title);
@@ -202,5 +202,5 @@
  public:
   EventBox(const char* eventBoxName = NULL);
-  virtual ~EventBox(void);
+  virtual ~EventBox();
 };
 
@@ -215,5 +215,5 @@
  public:
   Box(char boxtype = 'h');
-  virtual ~Box(void);
+  virtual ~Box();
   
   virtual void fill(Widget* lowerWidget);
@@ -230,6 +230,6 @@
   
  public:
-  Option(void);
-  virtual ~Option(void);
+  Option();
+  virtual ~Option();
 
   int value;                  //!< every option has a value either true or false(0,1) or something else like 25 for 25% of the volume
@@ -242,8 +242,8 @@
 
   void saveability(bool isSaveable = true);
-  virtual char* save(void);
+  virtual char* save();
   virtual void load(char* loadString);
 
-  bool isSaveable(void);
+  bool isSaveable();
   void setDefaultValue(int defaultValue);
   void setFlagName(const char* flagname, int defaultvalue);
@@ -251,6 +251,6 @@
   void setDescription(const char* shortDescription, const char* longDescription = NULL);
 
-  virtual void redraw(void) = 0;       //!< A Option must be able to redraw itself.
-  virtual void changeOption(void) = 0; //!< What to do, if an Option is Changed. eacht option decides for itself.
+  virtual void redraw() = 0;       //!< A Option must be able to redraw itself.
+  virtual void changeOption() = 0; //!< What to do, if an Option is Changed. eacht option decides for itself.
 #ifdef HAVE_GTK2
     // Signals  
@@ -267,9 +267,9 @@
  public:
   Button(const char* buttonName = NULL);
-  virtual ~Button(void);
+  virtual ~Button();
 
   virtual void setTitle(const char* title);
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 };
 
@@ -281,11 +281,11 @@
  public:
   CheckButton(const char* buttonName = NULL);
-  virtual ~CheckButton(void);
-
-  bool isActive(void);
+  virtual ~CheckButton();
+
+  bool isActive();
 
   virtual void setTitle(const char* title);
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 };
 
@@ -302,12 +302,12 @@
  public:
   Slider(const char* slidername, float start, float end);
-  virtual ~Slider(void);
+  virtual ~Slider();
 
   void setExactness(int exactness);
   void setValue(float value);
-  virtual void redraw(void);
-  virtual void changeOption(void);
-
-  virtual char* save(void);
+  virtual void redraw();
+  virtual void changeOption();
+
+  virtual char* save();
   virtual void load(char* loadString);
 };
@@ -338,13 +338,13 @@
   Menu(const char* menuName);
   Menu(char* menuname, ...);
-  virtual ~Menu(void);
-  void init(void);
-
-  virtual char* save(void);
+  virtual ~Menu();
+  void init();
+
+  virtual char* save();
   virtual void load(char* loadString);
   
   void addItem(char* itemName);
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 };
 
@@ -354,13 +354,13 @@
  public:
   OptionLabel(const char* label, const char* value);
-  virtual ~OptionLabel(void);
+  virtual ~OptionLabel();
   
   void setValue(const char* newValue);
 
-  virtual char* save(void);
+  virtual char* save();
   virtual void load(char* loadString);
 
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 
   char* cValue;                          //!< The Value the Label will have. \todo make private
@@ -372,12 +372,12 @@
  public:
   EntryField(const char* name = NULL);
-  virtual ~EntryField(void);
+  virtual ~EntryField();
   
   void setValue(const char* newValue);
-  virtual char* save(void);
+  virtual char* save();
   virtual void load(char* loadString);
   
-  virtual void redraw(void);
-  virtual void changeOption(void);
+  virtual void redraw();
+  virtual void changeOption();
 };
 
@@ -387,11 +387,11 @@
  public:
   Label(const char* text = NULL);
-  virtual ~Label(void);
+  virtual ~Label();
   
   virtual void setTitle(const char* text);
-  void ereaseText(void);
+  void ereaseText();
   void appendText(char* textToAppend);
   void appendInt(int intToAppend);
-  const char* getText(void);
+  const char* getText();
 };
 
@@ -401,9 +401,9 @@
  public:
   ProgressBar(const char* label = NULL);
-  virtual ~ProgressBar(void);
+  virtual ~ProgressBar();
 
   void setProgress(double progress);
   void setTotalSize(double totalSize);
-  double getProgress(void);
+  double getProgress();
 
  private:
@@ -425,5 +425,5 @@
   Image(const char* imgaeName);
   Image(char** imageData);
-  virtual ~Image(void);
+  virtual ~Image();
   void init(const char* name);
 };
@@ -441,5 +441,5 @@
  public:
   FileDialog(const char* fileDialogName);
-  virtual ~FileDialog(void);
+  virtual ~FileDialog();
 
   void setChangeOption(OptionLabel* changeOption);
@@ -448,5 +448,5 @@
   void setDefaultFileName(const char* defaultFileName);
   void setMask(const char* mask);
-  void disableFileOpts(void);
+  void disableFileOpts();
 
   void okEvent();
Index: orxonox/trunk/src/lib/gui/gui_keys.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_keys.cc	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_keys.cc	(revision 4746)
@@ -31,5 +31,5 @@
    \brief Creates an Keyboard-Frame
 */
-GuiKeys::GuiKeys(void)
+GuiKeys::GuiKeys()
 {
   Frame* keysFrame;      //!< The Frame that holds the keyOptions.
@@ -79,5 +79,5 @@
    \brief Destructs the Keys-stuff
 */
-GuiKeys::~GuiKeys(void)
+GuiKeys::~GuiKeys()
 {
   // nothing to do here.
@@ -149,5 +149,5 @@
    \returns the OpenButton of a Player
 */
-Button* PlayerKeys::getOpenButton(void)
+Button* PlayerKeys::getOpenButton()
 {
   return this->openButton;
@@ -214,5 +214,5 @@
    \returns the OpenButton of a Misc
 */
-Button* MiscKeys::getOpenButton(void)
+Button* MiscKeys::getOpenButton()
 {
   return this->openButton;
Index: orxonox/trunk/src/lib/gui/gui_keys.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_keys.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_keys.h	(revision 4746)
@@ -27,6 +27,6 @@
 {
  public:
-  GuiKeys(void);
-  ~GuiKeys(void);
+  GuiKeys();
+  ~GuiKeys();
 
   static Window* inputWindow; //!< A Window that gets keyboard clicks. Static, because only one needed.
@@ -44,5 +44,5 @@
   PlayerKeys(char* player);
 
-  Button* getOpenButton(void);
+  Button* getOpenButton();
 };
 
@@ -55,5 +55,5 @@
   MiscKeys();
 
-  Button* getOpenButton(void);  
+  Button* getOpenButton();  
 };
 
Index: orxonox/trunk/src/lib/gui/gui_update.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_update.cc	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_update.cc	(revision 4746)
@@ -35,5 +35,5 @@
    \brief Creates an Update-Frame
 */
-GuiUpdate::GuiUpdate(void)
+GuiUpdate::GuiUpdate()
 {
   FileDialog* dataDirDialog;   //!< A FileDialog for the selection of the DataRepos
@@ -100,5 +100,5 @@
    \brief Destructs the Update-stuff
 */
-GuiUpdate::~GuiUpdate(void)
+GuiUpdate::~GuiUpdate()
 {
 
@@ -128,5 +128,5 @@
     \brief Look what info we can get from this system
 */
-bool GuiUpdate::getSystemInfo(void)
+bool GuiUpdate::getSystemInfo()
 {
   PRINTF(5)("Grabbing system information\n");
@@ -155,5 +155,5 @@
 
 #ifdef HAVE_CURL
-bool* GuiUpdate::checkForUpdates(void)
+bool* GuiUpdate::checkForUpdates()
 {
   PRINTF(4)("checking for new version of orxonox\n");
@@ -169,5 +169,5 @@
    \brief Creates a window, and all it contains for the Data-update.
 */
-void GuiUpdate::updateDataWindowCreate(void)
+void GuiUpdate::updateDataWindowCreate()
 {
   this->updateDataWindow = new Window("update orxonox::Data");   
@@ -208,5 +208,5 @@
    \returns A Pointer to the Button of the UpdaterDataWindow
 */
-Button* GuiUpdate::updateDataWindowGetButton(void)
+Button* GuiUpdate::updateDataWindowGetButton()
 {
   return this->updateDataWindowButton;
@@ -216,5 +216,5 @@
    \brief Creates a window, and all it contains for the Source-update.
 */
-void GuiUpdate::updateSourceWindowCreate(void)
+void GuiUpdate::updateSourceWindowCreate()
 {
   // the button, that opens this Window.
@@ -247,5 +247,5 @@
    \returns A Pointer to the Button of the UpdaterSourceWindow
 */
-Button* GuiUpdate::updateSourceWindowGetButton(void)
+Button* GuiUpdate::updateSourceWindowGetButton()
 {
   return this->updateSourceWindowButton;
Index: orxonox/trunk/src/lib/gui/gui_update.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_update.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_update.h	(revision 4746)
@@ -37,5 +37,5 @@
   char* userName;                       //!< The user logged in.
 
-  bool getSystemInfo(void);
+  bool getSystemInfo();
  
   // Window creation.
@@ -99,15 +99,15 @@
 
  public:
-  GuiUpdate(void);
-  ~GuiUpdate(void);
+  GuiUpdate();
+  ~GuiUpdate();
   
 #ifdef HAVE_CURL   
-  void updateDataWindowCreate(void);
-  Button* updateDataWindowGetButton(void);
+  void updateDataWindowCreate();
+  Button* updateDataWindowGetButton();
 
-  void updateSourceWindowCreate(void);
-  Button* updateSourceWindowGetButton(void);
+  void updateSourceWindowCreate();
+  Button* updateSourceWindowGetButton();
 
-  bool* checkForUpdates(void);
+  bool* checkForUpdates();
  
 #endif /* HAVE_CURL */
Index: orxonox/trunk/src/lib/gui/gui_video.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_video.cc	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_video.cc	(revision 4746)
@@ -34,5 +34,5 @@
    \brief Creates the Video-Option-Frame
 */
-GuiVideo::GuiVideo(void)
+GuiVideo::GuiVideo()
 {
   Frame* videoFrame;        //!< The Frame that holds the video options.
@@ -76,5 +76,5 @@
    \brief Destructs the Video-stuff
 */
-GuiVideo::~GuiVideo(void)
+GuiVideo::~GuiVideo()
 {
   // nothing to do here.
@@ -84,5 +84,5 @@
    \brief Creates a window, and all it contains for the Source-update.
 */
-Widget* GuiVideo::advancedWindowCreate(void)
+Widget* GuiVideo::advancedWindowCreate()
 {
   // advanced-Performance-Options
Index: orxonox/trunk/src/lib/gui/gui_video.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_video.h	(revision 4506)
+++ orxonox/trunk/src/lib/gui/gui_video.h	(revision 4746)
@@ -17,13 +17,13 @@
 {
  private:
-  //  Button* advancedWindowGetButton(void);
+  //  Button* advancedWindowGetButton();
   
  public:
-  GuiVideo(void);
-  ~GuiVideo(void);
+  GuiVideo();
+  ~GuiVideo();
 
  private:
   void getResolutions(Menu* menu);
-  Widget* advancedWindowCreate(void);
+  Widget* advancedWindowCreate();
 };
 #endif /* _GUI_VIDEO_H */