Index: /data/trunk/models/spaceships/noxon_spaceship_scout.oif
===================================================================
--- /data/trunk/models/spaceships/noxon_spaceship_scout.oif	(revision 4747)
+++ /data/trunk/models/spaceships/noxon_spaceship_scout.oif	(revision 4748)
@@ -49,51 +49,4 @@
   </MP.03.engine>
 
-  <MP.04.lightback1>
-    <Description>light on the back</Description>
-    <OrxClass>Blink</OrxClass>
-    <Details>
-      <name>RedLight3</name>
-      <color>255, 0, 0</color>
-      <size>0.25</size>
-      <sequence>00000000999999998642000000000000</sequence>
-      <period>2</period>
-    </Details>
-  </MP.04.lightback1>
-
-  <MP.05.lightback2>
-    <Description>light on the back</Description>
-    <OrxClass>Blink</OrxClass>
-    <Details>
-      <name>RedLight3</name>
-      <color>255, 0, 0</color>
-      <size>0.25</size>
-      <sequence>00000000999999998642000000000000</sequence>
-      <period>2</period>
-    </Details>
-  </MP.05.lightback2>
-
-  <MP.06.lightback3>
-    <Description>light on the back</Description>
-    <OrxClass>Blink</OrxClass>
-    <Details>
-      <name>RedLight3</name>
-      <color>255, 0, 0</color>
-      <size>0.25</size>
-      <sequence>00000000999999998642000000000000</sequence>
-      <period>2</period>
-    </Details>
-  </MP.06.lightback3>
-
-  <MP.07.lightback4>
-    <Description>light on the back</Description>
-    <OrxClass>Blink</OrxClass>
-    <Details>
-      <name>RedLight3</name>
-      <color>255, 0, 0</color>
-      <size>0.25</size>
-      <sequence>00000000999999998642000000000000</sequence>
-      <period>2</period>
-    </Details>
-  </MP.07.lightback4>
 
 </MountPoints>
Index: /data/trunk/models/spaceships/noxon_spaceship_scout2.oif
===================================================================
--- /data/trunk/models/spaceships/noxon_spaceship_scout2.oif	(revision 4748)
+++ /data/trunk/models/spaceships/noxon_spaceship_scout2.oif	(revision 4748)
@@ -0,0 +1,54 @@
+<ObjectInformationFile>
+
+<MountPoints>
+  <MP.00.weapon>
+    <Description>Weapon up</Description>
+    <OrxClass>DamnBigGun</OrxClass>
+    <Details>
+      <name>Front Gun</name>
+      <model>some model path</model>
+    </Details>
+  </MP.00.weapon>
+
+  <MP.01.weapon>
+    <Description>Weapon left</Description>
+    <OrxClass>DamnBigGun</OrxClass>
+  </MP.01.weapon>
+
+  <MP.02.weapon>
+    <Description>Weapon right</Description>
+    <OrxClass>DamnBigGun</OrxClass>
+  </MP.02.weapon>
+
+  <MP.03.engine>
+    <Description>engine slot</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.6, 0.3</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 1.2, 1.2</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,0, 1, 0, .8</color>
+      <color>.5, 0, 1,  0, .6</color>
+      <color>1, 0, 1, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.03.engine>
+
+
+</MountPoints>
+
+</ObjectInformationFile>
Index: ta/trunk/models/spaceships/noxon_spaceship_scout_vert.oif
===================================================================
--- /data/trunk/models/spaceships/noxon_spaceship_scout_vert.oif	(revision 4747)
+++ 	(revision )
@@ -1,53 +1,0 @@
-<ObjectInformationFile>
-
-<MountPoints>
-  <MP.00.weapon>
-    <Description>Weapon up</Description>
-    <OrxClass>DamnBigGun</OrxClass>
-    <Details>
-      <name>Front Gun</name>
-      <model>some model path</model>
-    </Details>
-  </MP.00.weapon>
-
-  <MP.01.weapon>
-    <Description>Weapon left</Description>
-    <OrxClass>DamnBigGun</OrxClass>
-  </MP.01.weapon>
-
-  <MP.02.weapon>
-    <Description>Weapon right</Description>
-    <OrxClass>DamnBigGun</OrxClass>
-  </MP.02.weapon>
-
-  <MP.03.engine>
-    <Description>engine slot</Description>
-    <OrxClass>SpriteParticles</OrxClass>
-    <Details>
-      <name>engine</name>
-      <type>sprite</type>
-      <texture>steam01.png</texture>
-      <max-count>150</max-count>
-      <life-span>0.6, 0.3</life-span>
-      <radius>0.0, 0.5, 0.5</radius>
-      <radius>0.2, 1.2, 1.2</radius>
-      <radius>1.0, 0.2, 0.2</radius>
-      <mass>1.0, 0.5, .3</mass>
-      <color>0,0, 1, 0, .8</color>
-      <color>.5, 0, 1,  0, .6</color>
-      <color>1, 0, 1, .0, .0.5</color>
-      <precache>5</precache>
-      <emitters>
-        <DotEmitter>
-          <name>Engine Emitter</name>
-          <spread>0, 0.1</spread>
-          <emission-velocity>-5,1</emission-velocity>
-          <rate>70</rate>
-        </DotEmitter>
-      </emitters>
-    </Details>
-  </MP.03.engine>
-
-</MountPoints>
-
-</ObjectInformationFile>