Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4746)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4751)
@@ -29,4 +29,5 @@
                    $(MAINSRCDIR)/util/state.cc \
                    $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/lang/class_list.cc \
                    $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/util/resource_manager.cc \
Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4746)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4751)
@@ -57,5 +57,6 @@
 	collision-light.$(OBJEXT) collision-text_engine.$(OBJEXT) \
 	collision-graphics_engine.$(OBJEXT) collision-state.$(OBJEXT) \
-	collision-base_object.$(OBJEXT) collision-vector.$(OBJEXT) \
+	collision-base_object.$(OBJEXT) collision-class_list.$(OBJEXT) \
+	collision-vector.$(OBJEXT) \
 	collision-resource_manager.$(OBJEXT) \
 	collision-p_node.$(OBJEXT) collision-null_parent.$(OBJEXT) \
@@ -82,4 +83,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/collision-base_object.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-camera.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/collision-class_list.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-collision_detection.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-environment.Po \
@@ -241,4 +243,5 @@
                    $(MAINSRCDIR)/util/state.cc \
                    $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/lang/class_list.cc \
                    $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/util/resource_manager.cc \
@@ -325,4 +328,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-camera.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-class_list.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-collision_detection.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-environment.Po@am__quote@
@@ -535,4 +539,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-base_object.obj `if test -f '$(MAINSRCDIR)/lib/lang/base_object.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/base_object.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/base_object.cc'; fi`
+
+collision-class_list.o: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-class_list.o -MD -MP -MF "$(DEPDIR)/collision-class_list.Tpo" -c -o collision-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-class_list.Tpo" "$(DEPDIR)/collision-class_list.Po"; else rm -f "$(DEPDIR)/collision-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='collision-class_list.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-class_list.Po' tmpdepfile='$(DEPDIR)/collision-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc
+
+collision-class_list.obj: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-class_list.obj -MD -MP -MF "$(DEPDIR)/collision-class_list.Tpo" -c -o collision-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-class_list.Tpo" "$(DEPDIR)/collision-class_list.Po"; else rm -f "$(DEPDIR)/collision-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='collision-class_list.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-class_list.Po' tmpdepfile='$(DEPDIR)/collision-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`
 
 collision-vector.o: $(MAINSRCDIR)/lib/math/vector.cc
Index: orxonox/trunk/src/subprojects/gui/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/gui/Makefile.am	(revision 4746)
+++ orxonox/trunk/src/subprojects/gui/Makefile.am	(revision 4751)
@@ -20,4 +20,5 @@
              $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
              $(MAINSRCDIR)/lib/lang/base_object.cc \
+             $(MAINSRCDIR)/lib/lang/class_list.cc \
              $(MAINSRCDIR)/lib/math/vector.cc \
              $(MAINSRCDIR)/util/resource_manager.cc \
Index: orxonox/trunk/src/subprojects/gui/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4746)
+++ orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4751)
@@ -54,7 +54,7 @@
 PROGRAMS = $(bin_PROGRAMS)
 am_gui_OBJECTS = gui-gui_main.$(OBJEXT) gui-graphics_engine.$(OBJEXT) \
-	gui-base_object.$(OBJEXT) gui-vector.$(OBJEXT) \
-	gui-resource_manager.$(OBJEXT) gui-substring.$(OBJEXT) \
-	gui-load_param.$(OBJEXT)
+	gui-base_object.$(OBJEXT) gui-class_list.$(OBJEXT) \
+	gui-vector.$(OBJEXT) gui-resource_manager.$(OBJEXT) \
+	gui-substring.$(OBJEXT) gui-load_param.$(OBJEXT)
 gui_OBJECTS = $(am_gui_OBJECTS)
 am__DEPENDENCIES_1 =
@@ -63,4 +63,5 @@
 am__depfiles_maybe = depfiles
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/gui-base_object.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/gui-class_list.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/gui-graphics_engine.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/gui-gui_main.Po \
@@ -201,4 +202,5 @@
              $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
              $(MAINSRCDIR)/lib/lang/base_object.cc \
+             $(MAINSRCDIR)/lib/lang/class_list.cc \
              $(MAINSRCDIR)/lib/math/vector.cc \
              $(MAINSRCDIR)/util/resource_manager.cc \
@@ -274,4 +276,5 @@
 
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui-base_object.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui-class_list.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui-graphics_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui-gui_main.Po@am__quote@
@@ -344,4 +347,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gui-base_object.obj `if test -f '$(MAINSRCDIR)/lib/lang/base_object.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/base_object.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/base_object.cc'; fi`
+
+gui-class_list.o: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT gui-class_list.o -MD -MP -MF "$(DEPDIR)/gui-class_list.Tpo" -c -o gui-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/gui-class_list.Tpo" "$(DEPDIR)/gui-class_list.Po"; else rm -f "$(DEPDIR)/gui-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='gui-class_list.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/gui-class_list.Po' tmpdepfile='$(DEPDIR)/gui-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gui-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc
+
+gui-class_list.obj: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT gui-class_list.obj -MD -MP -MF "$(DEPDIR)/gui-class_list.Tpo" -c -o gui-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/gui-class_list.Tpo" "$(DEPDIR)/gui-class_list.Po"; else rm -f "$(DEPDIR)/gui-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='gui-class_list.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/gui-class_list.Po' tmpdepfile='$(DEPDIR)/gui-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gui-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`
 
 gui-vector.o: $(MAINSRCDIR)/lib/math/vector.cc
Index: orxonox/trunk/src/subprojects/importer/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4746)
+++ orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4751)
@@ -20,4 +20,5 @@
                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
                   $(MAINSRCDIR)/lib/lang/base_object.cc \
+                  $(MAINSRCDIR)/lib/lang/class_list.cc \
                   $(MAINSRCDIR)/lib/math/vector.cc \
                   $(MAINSRCDIR)/util/resource_manager.cc \
Index: orxonox/trunk/src/subprojects/importer/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4746)
+++ orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4751)
@@ -55,6 +55,6 @@
 	importer-state.$(OBJEXT) importer-camera.$(OBJEXT) \
 	importer-graphics_engine.$(OBJEXT) \
-	importer-base_object.$(OBJEXT) importer-vector.$(OBJEXT) \
-	importer-resource_manager.$(OBJEXT) \
+	importer-base_object.$(OBJEXT) importer-class_list.$(OBJEXT) \
+	importer-vector.$(OBJEXT) importer-resource_manager.$(OBJEXT) \
 	importer-ini_parser.$(OBJEXT) importer-text_engine.$(OBJEXT) \
 	importer-p_node.$(OBJEXT) importer-null_parent.$(OBJEXT) \
@@ -71,4 +71,5 @@
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/importer-base_object.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-camera.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/importer-class_list.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-factory.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-framework.Po \
@@ -218,4 +219,5 @@
                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
                   $(MAINSRCDIR)/lib/lang/base_object.cc \
+                  $(MAINSRCDIR)/lib/lang/class_list.cc \
                   $(MAINSRCDIR)/lib/math/vector.cc \
                   $(MAINSRCDIR)/util/resource_manager.cc \
@@ -296,4 +298,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-camera.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-class_list.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-factory.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-framework.Po@am__quote@
@@ -438,4 +441,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-base_object.obj `if test -f '$(MAINSRCDIR)/lib/lang/base_object.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/base_object.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/base_object.cc'; fi`
+
+importer-class_list.o: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-class_list.o -MD -MP -MF "$(DEPDIR)/importer-class_list.Tpo" -c -o importer-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-class_list.Tpo" "$(DEPDIR)/importer-class_list.Po"; else rm -f "$(DEPDIR)/importer-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='importer-class_list.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-class_list.Po' tmpdepfile='$(DEPDIR)/importer-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc
+
+importer-class_list.obj: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-class_list.obj -MD -MP -MF "$(DEPDIR)/importer-class_list.Tpo" -c -o importer-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-class_list.Tpo" "$(DEPDIR)/importer-class_list.Po"; else rm -f "$(DEPDIR)/importer-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='importer-class_list.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-class_list.Po' tmpdepfile='$(DEPDIR)/importer-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`
 
 importer-vector.o: $(MAINSRCDIR)/lib/math/vector.cc
Index: orxonox/trunk/src/subprojects/particles/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4746)
+++ orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4751)
@@ -25,4 +25,5 @@
                    $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
                    $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/lang/class_list.cc \
                    $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/util/resource_manager.cc \
Index: orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4746)
+++ orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4751)
@@ -56,5 +56,6 @@
 	particles-world_entity.$(OBJEXT) \
 	particles-graphics_engine.$(OBJEXT) \
-	particles-base_object.$(OBJEXT) particles-vector.$(OBJEXT) \
+	particles-base_object.$(OBJEXT) particles-class_list.$(OBJEXT) \
+	particles-vector.$(OBJEXT) \
 	particles-resource_manager.$(OBJEXT) \
 	particles-text_engine.$(OBJEXT) particles-p_node.$(OBJEXT) \
@@ -77,4 +78,5 @@
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/particles-base_object.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-camera.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/particles-class_list.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-factory.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-framework.Po \
@@ -232,4 +234,5 @@
                    $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
                    $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/lang/class_list.cc \
                    $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/util/resource_manager.cc \
@@ -311,4 +314,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-camera.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-class_list.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-factory.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-framework.Po@am__quote@
@@ -471,4 +475,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-base_object.obj `if test -f '$(MAINSRCDIR)/lib/lang/base_object.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/base_object.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/base_object.cc'; fi`
+
+particles-class_list.o: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-class_list.o -MD -MP -MF "$(DEPDIR)/particles-class_list.Tpo" -c -o particles-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-class_list.Tpo" "$(DEPDIR)/particles-class_list.Po"; else rm -f "$(DEPDIR)/particles-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='particles-class_list.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-class_list.Po' tmpdepfile='$(DEPDIR)/particles-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc
+
+particles-class_list.obj: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-class_list.obj -MD -MP -MF "$(DEPDIR)/particles-class_list.Tpo" -c -o particles-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-class_list.Tpo" "$(DEPDIR)/particles-class_list.Po"; else rm -f "$(DEPDIR)/particles-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='particles-class_list.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-class_list.Po' tmpdepfile='$(DEPDIR)/particles-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`
 
 particles-vector.o: $(MAINSRCDIR)/lib/math/vector.cc