Index: orxonox/trunk/src/lib/event/key_mapper.cc
===================================================================
--- orxonox/trunk/src/lib/event/key_mapper.cc	(revision 4758)
+++ orxonox/trunk/src/lib/event/key_mapper.cc	(revision 4759)
@@ -56,30 +56,30 @@
 
 //! this is the mapping array from names to ids: enter all orxonox.conf keys here
-orxKeyMapping map[] = { {&KeyMapper::PEV_UP, "Up"},
-                        {&KeyMapper::PEV_DOWN, "Down"},
-                        {&KeyMapper::PEV_LEFT, "Left"},
-                        {&KeyMapper::PEV_RIGHT, "Right"},
-                        {&KeyMapper::PEV_STRAFE_LEFT, "StrafeLeft"},
-                        {&KeyMapper::PEV_STRAFE_RIGHT, "StrafeRight"},
-
-                        {&KeyMapper::PEV_FIRE1, "Fire"},
-                        {&KeyMapper::PEV_FIRE1, "Fire1"},
-                        {&KeyMapper::PEV_FIRE2, "Fire2"},
-                        {&KeyMapper::PEV_NEXT_WEAPON, "Next"},
-                        {&KeyMapper::PEV_PREVIOUS_WEAPON, "Prev"},
-
-
-                        {&KeyMapper::PEV_VIEW0, "view0"},
-                        {&KeyMapper::PEV_VIEW1, "view1"},
-                        {&KeyMapper::PEV_VIEW2, "view2"},
-                        {&KeyMapper::PEV_VIEW3, "view3"},
-                        {&KeyMapper::PEV_VIEW4, "view4"},
-                        {&KeyMapper::PEV_VIEW5, "view5"},
-
-                        {&KeyMapper::PEV_NEXT_WORLD, "Next-World"},
-                        {&KeyMapper::PEV_PREVIOUS_WORLD, "Prev-World"},
-
-                        {&KeyMapper::PEV_PAUSE, "Pause"},
-                        {&KeyMapper::PEV_QUIT, "Quit"},
+orxKeyMapping map[] = { {&KeyMapper::PEV_UP,                   "Up"},
+                        {&KeyMapper::PEV_DOWN,                 "Down"},
+                        {&KeyMapper::PEV_LEFT,                 "Left"},
+                        {&KeyMapper::PEV_RIGHT,                "Right"},
+                        {&KeyMapper::PEV_STRAFE_LEFT,          "StrafeLeft"},
+                        {&KeyMapper::PEV_STRAFE_RIGHT,         "StrafeRight"},
+
+                        {&KeyMapper::PEV_FIRE1,                "Fire"},
+                        {&KeyMapper::PEV_FIRE1,                "Fire1"},
+                        {&KeyMapper::PEV_FIRE2,                "Fire2"},
+                        {&KeyMapper::PEV_NEXT_WEAPON,          "Next"},
+                        {&KeyMapper::PEV_PREVIOUS_WEAPON,      "Prev"},
+
+
+                        {&KeyMapper::PEV_VIEW0,                "view0"},
+                        {&KeyMapper::PEV_VIEW1,                "view1"},
+                        {&KeyMapper::PEV_VIEW2,                "view2"},
+                        {&KeyMapper::PEV_VIEW3,                "view3"},
+                        {&KeyMapper::PEV_VIEW4,                "view4"},
+                        {&KeyMapper::PEV_VIEW5,                "view5"},
+
+                        {&KeyMapper::PEV_NEXT_WORLD,           "Next-World"},
+                        {&KeyMapper::PEV_PREVIOUS_WORLD,       "Prev-World"},
+
+                        {&KeyMapper::PEV_PAUSE,                "Pause"},
+                        {&KeyMapper::PEV_QUIT,                 "Quit"},
                         {NULL, NULL}};
 
Index: orxonox/trunk/src/world_entities/weapons/weapon.h
===================================================================
--- orxonox/trunk/src/world_entities/weapons/weapon.h	(revision 4758)
+++ orxonox/trunk/src/world_entities/weapons/weapon.h	(revision 4759)
@@ -37,44 +37,47 @@
 #define W_MAX_CONFIGS 4
 
+
+// FORWARD DECLARATION
 class Projectile;
 class Weapon;
 class Animation3D;
+class TiXmlElement;
 
 typedef enum {
-  SHOOT,
-  EMPTY,
-  RELOAD,
-  SPECIAL1,
-  SPECIAL2,
-  SPECIAL3
-} weaponSoundType;
+  W_SHOOT,
+  W_EMPTY,
+  W_RELOAD,
+  W_SPECIAL1,
+  W_SPECIAL2,
+  W_SPECIAL3
+} WeaponSoundType;
 
 
 //! this is an identifier for the slot. there are up to 8 weapon slots -> this means there can't be more than 8 weapons at the same time
-#define W_SLOT0 0
-#define W_SLOT1 1
-#define W_SLOT2 2
-#define W_SLOT3 3
-#define W_SLOT4 4
-#define W_SLOT5 5
-#define W_SLOT6 6
-#define W_SLOT7 7
-#define W_FREE_SLOT 99
+#define    W_SLOT0       0
+#define    W_SLOT1       1
+#define    W_SLOT2       2
+#define    W_SLOT3       3
+#define    W_SLOT4       4
+#define    W_SLOT5       5
+#define    W_SLOT6       6
+#define    W_SLOT7       7
+#define    W_FREE_SLOT   99
 
 
 //! this is an identifier for the weapon config
-#define W_CONFIG0 0
-#define W_CONFIG1 1
-#define W_CONFIG2 2
-#define W_CONFIG3 3
+#define    W_CONFIG0     0
+#define    W_CONFIG1     1
+#define    W_CONFIG2     2
+#define    W_CONFIG3     3
 
 //! a weapon can be left or right sided
-#define W_LEFT 0
-#define W_RIGHT 1
+#define    W_LEFT        0
+#define    W_RIGHT       1
 
 //! this is a weapon Configuration: it has up to 8 slots
 typedef struct weaponConfig {
-  bool bUsed;                       //<! is set to true, if this configuration is
-  Weapon* slots[8];
+  bool           bUsed;                       //<! is set to true, if this configuration is
+  Weapon*        slots[8];
 };
 
@@ -83,5 +86,9 @@
  public:
   WeaponManager(int nrOfSlots = 2);
+  WeaponManager(const TiXmlElement* root);
   ~WeaponManager();
+
+  void init();
+  void loadParams(const TiXmlElement* root);
 
   void addWeapon(Weapon* weapon, int configID = W_CONFIG0, int slotID = W_FREE_SLOT);
@@ -94,7 +101,7 @@
 
  private:
-  int nrOfSlots;                        //<! number of weapon slots a ship has
-  int currConfID;                       //<! the currently selected config
-  weaponConfig configs[4];              //<! a list of four configurations
+  int                   nrOfSlots;               //<! number of weapon slots a ship has
+  int                   currConfID;              //<! the currently selected config
+  weaponConfig          configs[4];              //<! a list of four configurations
 
   int getNextFreeSlot(int configID);
@@ -107,5 +114,9 @@
  public:
   Weapon (PNode* parent, const Vector& coordinate, const Quaternion& direction);
+  Weapon(const TiXmlElement* root);
   virtual ~Weapon ();
+
+  void init();
+  void loadParams(const TiXmlElement* root);
 
   void enable();
@@ -122,5 +133,5 @@
 
   /**
-     \brief sets a weapon idle time
+     \brief sets a weapons idle time
      \param idle time in ms
 
@@ -132,8 +143,5 @@
      \brief gets the weapon idle time
      \returns idle time in ms
-
-     a weapon idle time is the time spend after a shoot until the weapon can
-     shoot again
-  */
+   */
   inline float getWeaponIdleTime() const { return this->idleTime;}
   /**